> ## Documentation Index
> Fetch the complete documentation index at: https://developer.jtl-software.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Channel Price Types


> Provide channel supported price types




## OpenAPI

````yaml /openapi/scx/seller.json get /v1/seller/meta/{channel}/price-types
openapi: 3.0.2
info:
  title: SCX Seller API
  version: '1.0'
  x-logo:
    url: https://scx-sandbox.ui.jtl-software.com/docs/scx.png
  description: |
    SCX Seller API
servers:
  - url: https://scx-sbx.api.jtl-software.com
    description: Sandbox Environment
security: []
tags:
  - name: Account
    description: Seller account management
  - name: Offer
    description: Seller offer management
  - name: Events
    description: Channel and system events for the seller
  - name: Meta
    description: Channel meta information (categories, attributes, rules)
  - name: Order
    description: Order processing, payments, shipping, cancellations and refunds
  - name: Report
    description: Seller report generation and retrieval
  - name: Ticket
    description: Channel ticket management
paths:
  /v1/seller/meta/{channel}/price-types:
    get:
      tags:
        - Meta
      summary: |
        Channel Price Types
      description: |
        Provide channel supported price types
      operationId: GetChannelPriceTypes
      parameters:
        - in: path
          required: true
          name: channel
          description: Channel name whose supported price types should be returned.
          schema:
            type: string
      responses:
        '200':
          $ref: '#/components/responses/SupportedPricesTypes'
        '401':
          $ref: '#/components/responses/AccessForbidden'
        '429':
          $ref: '#/components/responses/RequestThrottled'
        '500':
          $ref: '#/components/responses/ServerError'
      security:
        - SellerAuth: []
components:
  responses:
    SupportedPricesTypes:
      description: Price types supported by the channel
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/SupportedPriceTypes'
    AccessForbidden:
      description: Access forbidden, invalid or unknown Token was used.
    RequestThrottled:
      description: User has send to many requests
    ServerError:
      description: Unexpected Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseList'
          example:
            errorList:
              - code: GEN500
                message: Internal Server Error
                severity: error
                hint: null
  schemas:
    SupportedPriceTypes:
      description: >-
        List of price types (e.g. gross, net, sale) the channel accepts in offer
        price updates.
      type: object
      properties:
        supportedPriceTypeList:
          type: array
          items:
            $ref: '#/components/schemas/PriceType'
    ErrorResponseList:
      type: object
      properties:
        errorList:
          nullable: true
          type: array
          example:
            - code: GEN700
              message: Seller SELLER_4711 does not exist on channel kaufland.
              severity: error
              hint: i9n-order22
          items:
            title: Error
            type: object
            properties:
              code:
                type: string
                example: GEN700
              message:
                type: string
                example: Seller SELLER_4711 does not exist on channel kaufland.
              severity:
                type: string
                enum:
                  - error
                  - warning
                  - info
                default: error
              hint:
                type: string
                nullable: true
                example: i9n-order22
    PriceType:
      type: object
      required:
        - priceTypeId
        - displayName
      properties:
        priceTypeId:
          type: string
          example: B2C
        displayName:
          type: string
          example: Standard Price
        description:
          type: string
          example: B2C Price
  securitySchemes:
    SellerAuth:
      description: >
        Bearer JWT issued to a seller after they sign up for a JTL-Scx
        subscription via the JTL

        Customer Center. Usage format: `Bearer <JWT>`.
      type: http
      scheme: bearer
      bearerFormat: JWT

````